=== src/bin/mpqc/validate/Makefile ===
TOPDIR=../../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile
include $(TOPDIR)/lib/Makedirlist

INSUF=in
PROGRAM=mpqc
RUN=run
INP=input
REF=$(SRCDIR)/ref
MPQC=../../mpqc

INPUTGENDEPS=$(SRCTOPDIR)/lib/perl/QCParse.pm \
             $(SRCTOPDIR)/lib/perl/QCResult.pm \
             $(SRCTOPDIR)/lib/perl/Molecule.pm \
             $(SRCDIR)/makein.pl

MAKEIN=$(PERL) -I$(SRCTOPDIR)/lib/perl $(SRCDIR)/makein.pl
MAKEINCCA=$(PERL) makeccain.pl
CHECKOUT=$(PERL) -I$(SRCTOPDIR)/lib/perl $(SRCDIR)/checkout.pl
CHECKCCAOUT=$(PERL) $(SRCDIR)/checkccaout.pl

########################################################################
# need to determine nthreadperproc from MPQCRUN_ARGS, since this determines
# whether or not certain tests

ALL_MPQCRUN_ARGS:=$(MPQCRUN_ARGS)

ifneq ($(filter --nthreadperproc,$(ALL_MPQCRUN_ARGS)),)
$(error must use --nthreadperproc=xxx syntax for MPQCRUN_ARGS)
endif
MPQCRUN_NTHREADPERPROC:=$(filter --nthreadperproc=%, $(ALL_MPQCRUN_ARGS))
MPQCRUN_NTHREADPERPROC:=$(patsubst --nthreadperproc=%, %, $(MPQCRUN_NTHREADPERPROC))
MPQCRUN_NTHREADPERPROC:=$(strip $(MPQCRUN_NTHREADPERPROC))
ifeq ($(MPQCRUN_NTHREADPERPROC),)
  MPQCRUN_NTHREADPERPROC=1
endif

ifneq ($(filter --integral,$(ALL_MPQCRUN_ARGS)),)
$(error must use --integral=xxx syntax for MPQCRUN_ARGS)
endif
MPQCRUN_INTEGRAL:=$(filter --integral=%, $(ALL_MPQCRUN_ARGS))
MPQCRUN_INTEGRAL:=$(patsubst --integral=%, %, $(MPQCRUN_INTEGRAL))
MPQCRUN_INTEGRAL:=$(strip $(MPQCRUN_INTEGRAL))
ifeq ($(MPQCRUN_INTEGRAL),)
  MPQCRUN_INTEGRAL=intv3
endif

# Also need to see if --mpqc was specified.  If not, then add
# --mpqc ../../mpqc.
ifeq ($(filter --mpqc%, $(ALL_MPQCRUN_ARGS)),)
ALL_MPQCRUN_ARGS:=--mpqc ../../mpqc $(ALL_MPQCRUN_ARGS)
endif

ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_MBPTR12),yes)
ifeq ($(MPQCRUN_INTEGRAL),cints)
HAVE_MBPTR12=yes
endif
endif

########################################################################

H2OMASTER=h2o.qci
H2OINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(H2OMASTER))
H2OOUTPUTS = $(H2OINPUTS:%.$(INSUF)=%.out)

H2OMP2MASTER=h2omp2.qci
H2OMP2INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(H2OMP2MASTER))
H2OMP2OUTPUTS = $(H2OMP2INPUTS:%.$(INSUF)=%.out)

MP2R12MASTER=mp2r12.qci
ifeq ($(HAVE_MBPTR12),yes)
  MP2R12INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(MP2R12MASTER))
else
  MP2R12INPUTS=
endif
MP2R12OUTPUTS = $(MP2R12INPUTS:%.$(INSUF)=%.out)

H2OFRQMASTER=h2ofrq.qci
H2OFRQINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(H2OFRQMASTER))
H2OFRQOUTPUTS = $(H2OFRQINPUTS:%.$(INSUF)=%.out)

ORTHOGMASTER=orthog.qci
ORTHOGINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(ORTHOGMASTER))
ORTHOGOUTPUTS = $(ORTHOGINPUTS:%.$(INSUF)=%.out)

BASIS1MASTER=basis1.qci
BASIS1INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(BASIS1MASTER))
BASIS1OUTPUTS = $(BASIS1INPUTS:%.$(INSUF)=%.out)

DFTMASTER=dft.qci
DFTINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(DFTMASTER))
DFTOUTPUTS = $(DFTINPUTS:%.$(INSUF)=%.out)

BASIS2MASTER=basis2.qci
BASIS2INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(BASIS2MASTER))
BASIS2OUTPUTS = $(BASIS2INPUTS:%.$(INSUF)=%.out)

OPTMASTER=opt.qci
OPTINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(OPTMASTER))
OPTOUTPUTS = $(OPTINPUTS:%.$(INSUF)=%.out)
OPTTSMASTER=optts.qci
OPTTSINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(OPTTSMASTER))
OPTTSOUTPUTS = $(OPTTSINPUTS:%.$(INSUF)=%.out)

SYMM1MASTER=symm1.qci
SYMM1INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(SYMM1MASTER))
SYMM1OUTPUTS = $(SYMM1INPUTS:%.$(INSUF)=%.out)

SYMM2MASTER=symm2.qci
SYMM2INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(SYMM2MASTER))
SYMM2OUTPUTS = $(SYMM2INPUTS:%.$(INSUF)=%.out)

SYMM3MASTER=symm3.qci
SYMM3INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(SYMM3MASTER))
SYMM3OUTPUTS = $(SYMM3INPUTS:%.$(INSUF)=%.out)

CLSCFMASTER=clscf.qci
CLSCFINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(CLSCFMASTER))
CLSCFOUTPUTS = $(CLSCFINPUTS:%.$(INSUF)=%.out)

USCFMASTER=uscf.qci
USCFINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(USCFMASTER))
USCFOUTPUTS = $(USCFINPUTS:%.$(INSUF)=%.out)

HSOSSCFMASTER=hsosscf.qci
HSOSSCFINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(HSOSSCFMASTER))
HSOSSCFOUTPUTS = $(HSOSSCFINPUTS:%.$(INSUF)=%.out)

CCAINTV3MASTER=ccaintv3.qci
CCACINTSMASTER=ccacints.qci
CCAFEIN = $(SRCDIR)/ref/ccafe_h2oscfsto3g $(SRCDIR)/ref/ccafe_h2oscfgradccpvtz
ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_INTCCA),yes)
 CCAINTV3INPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(CCAINTV3MASTER))
 CCAINTV3OUTPUTS = $(CCAINTV3INPUTS:%.$(INSUF)=%.out)
 CCAFEINPUTS = ccafe_h2oscfsto3g.in ccafe_h2oscfgradccpvtz.in 
 CCAFEOUTPUTS = $(CCAFEINPUTS:%.in=%.out)
 CCAFERESULTS = $(CCAFEINPUTS:%.in=%.results)
 ifeq ($(HAVE_SC_SRC_LIB_CHEMISTRY_QC_CINTS),yes)
  CCACINTSINPUTS=$(shell $(MAKEIN) -p $(PROGRAM) -I$(SRCDIR) -e -d $(INP) $(CCACINTSMASTER))
  CCACINTSOUTPUTS = $(CCACINTSINPUTS:%.$(INSUF)=%.out)
 endif
endif

CKPTINPUTS = \
 ckpt_0clscf.in     ckpt_0qnewtopt.in  ckpt_1zapt2.in     ckpt_mp2.in \
 ckpt_0efcopt.in    ckpt_1clscf.in     ckpt_1qnewtopt.in  ckpt_2qnewtopt.in \
 ckpt_0hsosscf.in   ckpt_1efcopt.in    ckpt_clscf.in      ckpt_efcopt.in \
 ckpt_0mp2.in       ckpt_1hsosscf.in   ckpt_2efcopt.in    ckpt_qnewtopt.in \
 ckpt_0zapt2.in     ckpt_1mp2.in       ckpt_hsosscf.in \
 ckpt_0clksb3lyp.in     ckpt_1clksb3lyp.in     ckpt_clksb3lyp.in \
 ckpt_0clksbp86.in      ckpt_1clksbp86.in      ckpt_clksbp86.in \
 ckpt_0clkshfg96.in     ckpt_1clkshfg96.in     ckpt_clkshfg96.in \
 ckpt_0clksmpwpw91.in   ckpt_1clksmpwpw91.in   ckpt_clksmpwpw91.in \
 ckpt_0clkspbe.in       ckpt_1clkspbe.in       ckpt_clkspbe.in \
 ckpt_0clkspw91.in      ckpt_1clkspw91.in      ckpt_clkspw91.in \
 ckpt_0clksspz81.in     ckpt_1clksspz81.in     ckpt_clksspz81.in \
 ckpt_0clkssvwn1.in     ckpt_1clkssvwn1.in     ckpt_clkssvwn1.in \
 ckpt_0clkssvwn1rpa.in  ckpt_1clkssvwn1rpa.in  ckpt_clkssvwn1rpa.in \
 ckpt_0clkssvwn2.in     ckpt_1clkssvwn2.in     ckpt_clkssvwn2.in \
 ckpt_0clkssvwn3.in     ckpt_1clkssvwn3.in     ckpt_clkssvwn3.in \
 ckpt_0clkssvwn4.in     ckpt_1clkssvwn4.in     ckpt_clkssvwn4.in \
 ckpt_0clkssvwn5.in     ckpt_1clkssvwn5.in     ckpt_clkssvwn5.in \
 ckpt_0clksxalpha.in    ckpt_1clksxalpha.in    ckpt_clksxalpha.in \
 ckpt_0hsosksxalpha.in  ckpt_1hsosksxalpha.in  ckpt_hsosksxalpha.in \
 ckpt_0uksxalpha.in     ckpt_1uksxalpha.in     ckpt_uksxalpha.in

CKPTINPUTS := $(CKPTINPUTS:%=$(INP)/%)
CKPTOUTPUTS = $(CKPTINPUTS:%.$(INSUF)=%.out)

MBPTINPUTS = \
 mbpt_mp2mem.in     mbpt_opt12v1.in    mbpt_opt22v2.in    mbpt_zapt2v2lb.in \
 mbpt_mp2v1.in      mbpt_opt12v2.in    mbpt_opt22v2lb.in \
 mbpt_mp2v2.in      mbpt_opt12v2lb.in  mbpt_zapt2v1.in \
 mbpt_mp2v2lb.in    mbpt_opt22v1.in    mbpt_zapt2v2.in \
 mbpt_mp2mem_mp.in  mbpt_mp2v2_mp.in   mbpt_mp2mem_c1.in  mbpt_mp2mem_auto.in \
 mbpt_mp2mem_dyn.in

ifeq ($(HAVE_MBPTR12),yes)
 MBPTINPUTS += \
    mbpt_mp2r12_ne2.in            mbpt_mp2r12_ne2_posix.in \
    mbpt_mp2r12_ne2_tz.in         mbpt_mp2r12_ne2_dyn.in \
    mbpt_mp2r12_c6h6_multipass.in
 ifeq ($(MPQCRUN_NTHREADPERPROC),1)
  MBPTINPUTS += mbpt_mp2r12_ne2_multipass.in
 endif
endif

MBPTINPUTS := $(MBPTINPUTS:%=$(INP)/%)
MBPTOUTPUTS = $(MBPTINPUTS:%.$(INSUF)=%.out)

METHODSINPUTS = \
clhf.in        hsosks_b3lyp.in       tchf.in \
clks_b3lyp.in  hsosks_b88.in         uhf.in \
clks_b88.in    hsosks_blyp.in        uks_b3lyp.in \
clks_blyp.in   hsosks_lsdax.in       uks_b88.in \
clks_lsdax.in  hsosks_xa.in          uks_blyp.in \
clks_xa.in     uks_lsdax.in          uks_xa.in \
hsoshf.in      osshf.in              qmmm1.in \
qmmm2.in

ifeq ($(HAVE_MBPTR12),yes)
 METHODSINPUTS += \
    mp2r12ap_+gbc.in mp2r12ap_abs+.in \
    mp2r12ap_abs.in  mp2r12ap_cabs+.in \
    mp2r12ap_cabs.in mp2r12ap_nogebc.in \
    mp2r12ap_+ebc.in mp2r12ap_+gbc+ebc.in
endif

METHODSINPUTS := $(METHODSINPUTS:%=$(INP)/methods_%)

INPUTINPUTS = \
rksch2.in uksch2.in uhfch2opt.in rhfch2opt.in hfch2opt.in \
hfh2ofreq.in ksh2oco.in ksh2o.in hfh2oopt.in \
mp2h2o.in zapt2ch2.in
ifeq ($(HAVE_MBPTR12),yes)
  INPUTINPUTS += mp2r12ah2o.in mp2r12aph2o.in
endif
INPUTINPUTS := $(INPUTINPUTS:%=$(INP)/input_%)

##############################################################################

# cints will not run all test cases.  This filter can be used to select
# just cases that cints can run
CINTSFILTER = $(INP)/mbpt_mp2r12% $(INP)/methods_mp2r12% $(INP)/mp2r12%

ALLINPUTS = $(METHODSINPUTS) $(H2OINPUTS) $(H2OMP2INPUTS) $(H2OFRQINPUTS) \
	    $(MP2R12INPUTS) \
            $(ORTHOGINPUTS) $(BASIS1INPUTS) $(BASIS2INPUTS) \
            $(DFTINPUTS) \
            $(OPTINPUTS) $(OPTTSINPUTS) \
            $(SYMM1INPUTS) $(SYMM2INPUTS) $(SYMM3INPUTS) \
            $(CKPTINPUTS) $(MBPTINPUTS) \
            $(CLSCFINPUTS) $(USCFINPUTS) $(HSOSSCFINPUTS) \
            $(INPUTINPUTS) $(CCAINTV3INPUTS) $(CCACINTSINPUTS)
ALLOUTPUTS = $(ALLINPUTS:%.$(INSUF)=%.out)

CHECK0INPUTS := $(H2OINPUTS) $(H2OFRQINPUTS) $(H2OMP2INPUTS) \
                $(METHODSINPUTS) $(INPUTINPUTS) $(CCAINTV3INPUTS) $(CCACINTSINPUTS)

CHECK0BFILTER := %ccpvdz %ccpvtz %ccpvqz %ccpv5z
CHECK0BFILTER += %ccpcvdz %ccpcvtz %ccpcvqz %ccpcv5z
CHECK0BFILTER += %pc2 %pc3 %pc4
CHECK0BFILTER += %6311gss
CHECK0FILTER := $(CHECK0BFILTER:%=%d2h) \
                $(CHECK0BFILTER:%=%c2v) \
                $(CHECK0BFILTER:%=%c2) \
                $(CHECK0BFILTER:%=%ci) \
                $(CHECK0BFILTER:%=%auto) \
                $(CHECK0BFILTER:%=%cs) \
                $(CHECK0BFILTER:%=%c1)
CHECK0FILTER := $(CHECK0FILTER:%=%.in) \
                $(CHECK0FILTER:%=%frq.in) \
                $(CHECK0FILTER:%= %opt.in) \
                $(CHECK0FILTER:%= %optfrq.in)
CHECK0FILTER += $(INP)/basis2_% $(INP)/dft_% $(INP)/symm1_cub%
CHECK0FILTER += $(INP)/mbpt_mp2r12_c6h6_multipass.in
CHECK0INPUTS := $(filter-out $(CHECK0FILTER),$(CHECK0INPUTS))
ifeq ($(MPQCRUN_INTEGRAL),cints)
  CHECK0INPUTS := $(filter $(CINTSFILTER),$(CHECK0INPUTS))
endif
CHECK0OUTPUTS := $(CHECK0INPUTS:%.$(INSUF)=%.out)
#printcheck0:
#	@echo CHECK0BFILTER = $(CHECK0BFILTER)
#	@echo CHECK0FILTER = $(CHECK0FILTER)
#	@ls -l $(CHECK0INPUTS)

CHECK1INPUTS := $(ALLINPUTS)
CHECK1BFILTER := %ccpvdz %ccpvtz %ccpvqz %ccpv5z
CHECK1BFILTER += %ccpcvdz %ccpcvtz %ccpcvqz %ccpcv5z
CHECK1BFILTER += %pc2 %pc3 %pc4
CHECK1BFILTER += %6311gss
CHECK1FILTER := $(CHECK1BFILTER:%=%d2h) \
                $(CHECK1BFILTER:%=%c2v) \
                $(CHECK1BFILTER:%=%c2) \
                $(CHECK1BFILTER:%=%ci) \
                $(CHECK1BFILTER:%=%auto) \
                $(CHECK1BFILTER:%=%cs) \
                $(CHECK1BFILTER:%=%c1)
CHECK1FILTER := $(CHECK1FILTER:%=%.in) \
                $(CHECK1FILTER:%=%frq.in) \
                $(CHECK1FILTER:%= %opt.in) \
                $(CHECK1FILTER:%= %optfrq.in)
CHECK1FILTER += $(INP)/basis2_% $(INP)/dft_% $(INP)/symm1_cub%
CHECK1FILTER += $(INP)/mbpt_mp2r12_c6h6_multipass.in
CHECK1INPUTS := $(filter-out $(CHECK1FILTER),$(CHECK1INPUTS))
ifeq ($(MPQCRUN_INTEGRAL),cints)
  CHECK1INPUTS := $(filter $(CINTSFILTER),$(CHECK1INPUTS))
endif
CHECK1OUTPUTS := $(CHECK1INPUTS:%.$(INSUF)=%.out)
#printcheck1:
#	@echo CHECK1BFILTER = $(CHECK1BFILTER)
#	@echo CHECK1FILTER = $(CHECK1FILTER)
#	@ls -l $(CHECK1INPUTS)

CHECK2INPUTS := $(ALLINPUTS)
ifeq ($(MPQCRUN_INTEGRAL),cints)
  CHECK2INPUTS := $(filter $(CINTSFILTER),$(CHECK2INPUTS))
endif
CHECK2OUTPUTS := $(CHECK2INPUTS:%.$(INSUF)=%.out)
#printcheck2:
#	@ls -l $(CHECK2INPUTS)

##############################################################################

.PHONY: default
default::
	@echo \'make check0\' to run and check the small test suite
	@echo \'make check0_run\' to run the small test suite
	@echo \'make check0_chk\' to check the small test suite
