=== src/bin/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

include $(SRCDIR)/$(TOPDIR)/lib/GlobalMakefile

SUBDIRS = mpqc scpr scls molrender

include $(SRCDIR)/$(TOPDIR)/lib/GlobalSubDirs
