=== debian/changelog ===
mpqc (2.3.1-9) unstable; urgency=low

  * debian/libsc-dev.install: Install header files into the correct 
    directory; closes: #642668.
  * Merge with Ubuntu; closes: 642277.
  * debian/patches/12_sh4_build_fix.patch: New patch, filter out -little
    option from compile flags, thanks to Nobuhiro Iwamatsu; closes: #568947.
  * debian/patches/13_sed_delimiter_binNMU.patch: New patches, changes sed
    delimiters from "+" to "#" to avoid issues for binNMUs; closes: #618116.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 Nov 2011 01:12:59 +0100

mpqc (2.3.1-8) unstable; urgency=low

  * debian/control: Updated description.
  * debian/control (mpqc/Depends): Added mpi-default-bin; closes: #643310.
  * debian/control (Build-Depends): Added mpi-default-bin.

 -- Michael Banck <mbanck@debian.org>  Tue, 27 Sep 2011 11:51:15 +0200

mpqc (2.3.1-7ubuntu1) oneiric; urgency=low

  * Fix FTBFS with ld --as-needed. LP: #770824.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2011 23:13:37 +0000

mpqc (2.3.1-7) unstable; urgency=low

  * debian/control (Build-Depends): Replace libopenmpi-dev with
    mpi-default-dev.
  * debian/control (Uploaders): Removed Li Daobing. 
  * debian/control (mpqc-openmpi): Changed to a transitional package, update
    package relationsships accordingly.
  * debian/mpqc-openmpi.manpages, debian/mpqc-openmpi.dirs,
    debian/mpqc-openmpi.examples, debian/mpqc-openmpi.docs: Removed.
  * debian/rules: Rewritten.
  * debian/libsc_SO_NAME_.install: Renamed to ...
  * debian/libsc7.install: ... this.
  * debian/libsc_SO_NAME_.dirs: Removed.
  * debian/compat: Bumped to 8.
  * debian/control (Standards-Version): Bumped to 3.9.2.
  * debian/source/format: New file, switch to "3.0 (quilt)" format.
  * debian/patches: Convert to quilt series.
  * debian/control (Build-Depends): Removed dpatch.
  * debian/patches/09_build_docdir.patch: New patch, build the doc
    subdirectory by default.
  * debian/patches/10_distclean.patch: New patch, properly handle distlcean
    rules in doc directory.
  * debian/patches/series: Adjusted.
  * debian/control (Vcs-svn): Fix repository URL.
  * debian/control (Build-Depends): Added chrpath.
  * debian/rules (override_dh_auto_install): Run chrpath on shared libraries
    and binaries.
  * debian/control: Add ${misc:Depends} to all Depends: fields.
  * debian/control.in: Removed.

 -- Michael Banck <mbanck@debian.org>  Fri, 09 Sep 2011 19:17:06 +0200

mpqc (2.3.1-6) unstable; urgency=low

  * Upload to unstable.
  * debian/mpqcval: Fix using default directory if no files are specified on
    the command-line.
  * debian/rules (OPENMPIARGS): Enable MPI configure switches.

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Feb 2010 15:55:01 +0100

mpqc (2.3.1-5) experimental; urgency=low

  * debian/mpqc.docs: Added CITATION, thanks to Chris Walker.
  * debian/control.in (Standards-Version): Bumped to 3.8.0.
  * debian/mpqc-support.install: Install the test-suite input and reference
    outputs from the source directory, not from the build directory.  Install
    into /usr/share/mpqc/validate, not /usr/share/mqpc/run.
  * debian/mpqc-support.dirs: Adjusted.
  * debian/chkmpqcval: Likewise.  Use reference outputs from
    /usr/share/mpqc/validate if not otherwise specified.
  * debian/mpqcval: Write MPQC output to current directory.  Use input files
    from /usr/share/mpqc/validate if not otherwise specified.
  * debian/README.Debian: Updated test suite validation instructions.
  * debian/control.in (libsc-data): New package, containing the basis set and
    atom data.
  * debian/libsc-data.install: New file.
  * debian/control.in (mpqc/Depends, libsc@SO_NAME@/Depends): Depend on it.
  * debian/mpqc.install: No longer install basis set and atom info.
  * debian/mpqc.dirs: Adjusted.
  * debian/rules (COMMONARGS): Added -includedir, moved F77.
  * debian/rules: Export F77 as gfortran.
  * Build an openmpi parallel version.  No longer build static libararies.
    + debian/control.in (Build-Depends): Added libopenmpi-dev.
    + debian/control.in (mpqc-openmpi): New package, conflicts and replaces
      mpqc.  
    + debian/mpqc-openmpi.dirs: New file.
    + debian/control.in (mpqc): Conflict and Replace mpqc-openmpi.
    + debian/control.in (mpqc-support): Alternatively Depend on mpqc-openmpi.
    + debian/libsc-dev.install: Removed references to static libraries.
    + debian/rules (STATICDIR): Removed.
    + debian/rules (OPENMPIDIR): New variable.
    + debian/rules (OPENMPIARCHES): Likewise.
    + debian/rules (OPENMPIARGS): Likewise.
    + debian/rules (COMMONARGS): Removed --disable-parallel.
    + debian/rules ($(SHAREDDIR)/config.status): Added --disable-parallel to
      configure arguments.
    + debian/rules ($(STATICDIR)/config.status): Replaced with ...
    + debian/rules ($(OPENMPIDIR)/config.status): ... this.  Added
      $(OPENMPIARGS).
    + debian/rules (build-static-stamp): Replaced with ...
    + debian/rules (build-openmpi-stamp): ... this.
    + debian/rules (build-arch-stamp): Adjusted.
    + debian/rules (clean): Clean $(OPENMPIDIR), not $(STATICDIR).
    + debian/rules (install-arch-stamp): Make install_devel from $(SHAREDDIR),
      not $(STATICDIR).  Install mpqc-openmpi's mpqc binary into
      $(CURDIR)/debian/mpqc-openmpi/usr/bin.
    + debian/mpqc-openmpi.docs: New file, copied from mpqc package.
    + debian/mpqc-openmpi.examples: Likewise.
    + debian/mpqc-openmpi.manpages: Likewise.
  * debian/rules (PHONY): Added test.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Dec 2008 16:08:24 +0100

mpqc (2.3.1-4) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * debian/man/mpqc.1: Fixed GROFF to make the manpage-has-errors-from-man
    (can't break line) warnings go away.

  [ Michael Banck ]
  * debian/control.in: Update descriptions. 
  * debian/control: Regenerated.
  * debian/rules (test): Set SCLIBDIR so that basis sets are found.  Honor 
    `nocheck' in DEB_BUILD_OPTIONS.


