=== debian/control ===
Source: mpqc
Priority: optional
Section: science
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, 
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 5), doxygen, perl, flex, bison, chrpath, libblas-dev, liblapack-dev, mpi-default-dev, mpi-default-bin, gfortran, tk8.4 | wish
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debichem/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/mpqc/
Homepage: http://www.mpqc.org
DM-Upload-Allowed: yes

Package: mpqc
Architecture: any
Section: science
Depends: ${shlibs:Depends}, libsc-data (= ${source:Version}), ${misc:Depends}, mpi-default-bin
Conflicts: mpqc-openmpi (<< 2.3.1-7)
Replaces: mpqc-openmpi (<< 2.3.1-7)
Suggests: mpqc-support
Description: The Massively Parallel Quantum Chemistry Program
 MPQC is an ab-inito quantum chemistry program.  It is especially designed
 to compute molecules in a highly parallelized fashion.
 .
 It can compute energies and gradients for the following methods:
  * Closed shell and general restricted open shell Hartree-Fock (HF)
  * Density Functional Theory (DFT)
  * Closed shell second-order Moeller-Plesset pertubation theory (MP2)
 .
 Additionally, it can compute energies for the following methods:
  * Open shell MP2 and closed shell explicitly correlated MP2 theory (MP2-R12)
  * Second order open shell pertubation theory (OPT2[2])
  * Z-averaged pertubation theory (ZAPT2)
 .
 It also includes an internal coordinate geometry optimizer.
 .
 MPQC is built upon the Scientific Computing Toolkit (SC).

Package: mpqc-openmpi
Architecture: all
Section: science
Depends: mpqc (>= 2.3.1-7), ${misc:Depends}
Conflicts: mpqc (<< 2.3.1-7)
Description: The Massively Parallel Quantum Chemistry Program (OpenMPI transitional package)
 MPQC is an ab-inito quantum chemistry program.  It is especially designed
 to compute molecules in a highly parallelized fashion.
 .
 This package merely depends on the main (MPI-enabled) mpqc package.

Package: libsc-dev
Architecture: any
Section: libdevel
Depends: libsc7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libsc-doc
Description: The Scientific Computing Toolkit (development version)
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others.
 .
 Class libraries supporting quantum chemistry applications are provided with
 this distribution of SC.
 .
 This package includes the static libraries and header files.

Package: libsc7
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libsc-data (= ${source:Version}), ${misc:Depends}
Description: The Scientific Computing Toolkit
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others. 
 .
 Class libraries supporting quantum chemistry applications are provided with
 this distribution of SC.  
 .
 This package includes the shared libraries.

Package: libsc-data
Architecture: all
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mpqc (<< 2.3.1-5)
Description: The Scientific Computing Toolkit (Basis Set and Atom Data)
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others. 
 .
 Class libraries supporting quantum chemistry applications are provided with
 this distribution of SC.  
 .
 This package includes the basis set and atom data.

Package: libsc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: The Scientific Computing Toolkit (Documentation)
 The Scientific Computing toolkit (SC) provides C++ class libraries for
 scientific computation. Included are classes for managing memory, saving and
 restoring the state of objects, reading objects from an input file, parallel
 communication, matrix algebra, among others.
 .
 This package includes the HTML-documentation and the manpages of the classes.

Package: mpqc-support
Architecture: any
Section: science
Depends: mpqc, tk8.4 | wish, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Support programs and tools for MPQC
 MPQC is an ab-inito quantum chemistry program.  It is especially designed
 to compute molecules in a highly parallelized fashion.
 .
 This package includes Perl modules to parse the output, Emacs-modes to
 facilitate editing mpqc files and molrender, a program to output the
 molecules in OOGL-format.
