=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_clean:
	-(cd src/bin/mpqc/validate; $(MAKE) check_clean)
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-production \
		--with-cxx=mpic++\
		--with-cc=mpicc \
		--with-f77=mpif77 \
		--enable-threads \
		--enable-always-use-mpi \
		--with-default-parallel=mpi \
		--with-mpi-thread=single \
		--enable-shared \
		--includedir=/usr/include/sc \
		--datadir=/usr/share/mpqc \
		--with-sc-datadir=/usr/share/mpqc

override_dh_auto_install:
	$(MAKE) install install_devel installroot=$(CURDIR)/debian/tmp
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*.so.*.*.*
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/mpqc
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/scls
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/scpr
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/molrender

override_dh_auto_test:
	-SCLIBDIR=$(CURDIR)/lib $(MAKE) -C src/bin/mpqc/validate check

get-orig-source:
	uscan --force-download --repack
